Package org.eclipse.birt.report.engine.api

# Interface IPageHandler

public interface IPageHandler
An interface implemented by app developer to provide handler after each page is generated in factoery. Can be used to support checkpointing, and therefore progressive viewing.

## Method Summary

Modifier and Type
Method
Description
`void`
`onPage(int pageNumber, boolean checkpoint, IReportDocumentInfo doc)`

## Method Details

### onPage

void onPage(int pageNumber, boolean checkpoint, IReportDocumentInfo doc)

Parameters:
  `pageNumber` - page indexed by pageNumber has finished generation
  `checkpoint` - whether the page indexed by pageNumber is ready for viewing